using System;

namespace P_2022_2_1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] temp1 = Console.ReadLine().Split(' ');
            string[] temp2 = Console.ReadLine().Split(' ');
            int[,] golok = new int[2, 2];
            golok[0, 0] = Convert.ToInt32(temp1[0]);
            golok[0, 1] = Convert.ToInt32(temp1[1]);
            golok[1, 0] = Convert.ToInt32(temp2[0]);
            golok[1, 1] = Convert.ToInt32(temp2[1]);
            if (golok[0, 0] - golok[1, 0] == 0 && golok[0, 1] - golok[1, 1] == 0)
                Console.WriteLine("nijedan");
            else if (golok[0, 0] - golok[1, 0] != 0 && golok[0, 1] - golok[1, 1] == 0)
                Console.WriteLine("prvi");
            else if (golok[0, 0] - golok[1, 0] == 0 && golok[0, 1] - golok[1, 1] != 0)
                Console.WriteLine("drugi");
            else
                Console.WriteLine("?");
        }
    }
}